EDIT - feature request #4298

refresh views after changing rights
08/04/2014 06:00 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: minor

Description

If a user with rights changing permission changes rights that belong to him, the views like the tree navigator should be refreshed
accordingly.

This is the same behavior as changing user #3101

History

#1 - 04/17/2020 12:09 AM - Andreas Miiller
- Tags set to security, permission
- Description updated

- Private changed from Yes to No

#3 - 04/17/2020 12:11 AM - Andreas Miiller

- Status changed from New to Feedback

- Target version changed from 120 to Release 5.15

Is this still an open issue?

If yes, please let discuss which milestone to put it to, as the old milestone is closed.

#4 - 06/18/2020 02:05 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Katja Luther

| guess that this ticket has been erroneously assigned to me.

#5 - 06/18/2020 03:33 PM - Andreas Miiller
Andreas Kohlbecker wrote:
| guess that this ticket has been erroneously assigned to me.
This ticket was created 6 years ago and was part of the authorization milestone you were work on at that time.
But ofcourse we may move this now to someone else.
You are meeting anyway next week to discuss such issues.
However, someone should check if this issue is still open.
#6 - 06/18/2020 04:28 PM - Katja Luther
- Target version changed from Release 5.15 to Release 5.18
The description is not really clear.
Does the user itself changes his rights? Or the administrator?

#7 - 06/18/2020 10:38 PM - Andreas Miiller

No it is the user him- or herself. So in this situation some windows might be open and functionality enabled which should not be enabled.
But as this is a very rare usecase we may think about a simple solution. E.g. we could say that chaning a persons own rights will close or refresh all
windows and the user will get a warning about this before the change gets effective.

By the way it might be difficult to define if someones rights are changing, e.g. if a GrantedAutority is changing or the rights a group has. So maybe the
simplest solution for now is, to generally not allow open windows when any rights are changed (except for the rights management windows).

By the way the problem could also appear that someone is changing rights while someone else on another machine works on something and this
person looses rights.

However, as we still do have the server side voters it will never be possible to save something that someone has no rights for.
So, the longer | tink about this, the less | think that it is really worth thinking much about this issue.

#8 - 08/17/2020 08:40 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#9 - 08/19/2020 08:46 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.18

#10 - 11/30/2020 12:00 PM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#11 - 01/22/2021 12:18 PM - Katja Luther

- Target version changed from Release 5.19 to Release 5.21

#12 - 01/22/2021 03:10 PM - Andreas Miiller

- Status changed from Feedback to New

As the description is hopefully clear now we can put this back to "New" to avoid having it in the feedback tickets all the time.

#13 - 03/10/2021 02:51 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#14 - 04/19/2021 05:41 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
